[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tmatrix4_extended.init

Initializes the matrix, setting its elements to the values passed to the constructor.

## Declaration

Source position: matrix.pp line 259

`constructor Tmatrix4_extended.init(`
`aa: extended;`
`ab: extended;`
`ac: extended;`
`ad: extended;`
`ba: extended;`
`bb: extended;`
`bc: extended;`
`bd: extended;`
`ca: extended;`
`cb: extended;`
`cc: extended;`
`cd: extended;`
`da: extended;`
`db: extended;`
`dc: extended;`
`dd: extended`
`);`

## Description

Initializes the matrix, setting its elements to the values passed to the constructor. The order of the values is left to right, then top to bottom.